Xerces-C++ 3.3.0

Public Member Functions | Protected Member Functions | List of all members
XMLNetAccessor Class Referenceabstract

`#include <xercesc/util/XMLNetAccessor.hpp>`

Inheritance diagram for XMLNetAccessor:

## Public Member Functions
virtual | ~XMLNetAccessor ()
virtual const XMLCh * | getId () const =0
virtual BinInputStream * | makeNew (const XMLURL &urlSrc, const XMLNetHTTPInfo *httpInfo=0)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Member Functions
| XMLNetAccessor ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ ~XMLNetAccessor()

virtual XMLNetAccessor::~XMLNetAccessor | ( |  | ) |
| virtual

## ◆ XMLNetAccessor()

XMLNetAccessor::XMLNetAccessor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ getId()

virtual const XMLCh * XMLNetAccessor::getId | ( |  | ) | const
| pure virtual

## ◆ makeNew()

virtual BinInputStream * XMLNetAccessor::makeNew | ( | const XMLURL & | urlSrc,
|  | const XMLNetHTTPInfo * | httpInfo = 0 )
| pure virtual

The documentation for this class was generated from the following file:

- XMLNetAccessor.hpp